## NAME

d.sites.qual - Displays a subset of a sites list based on site attributes (GRASS Display Program)

## SYNOPSIS

d.sites.qual
d.sites.qual help
d.sites.qual [-n] sitefile=name [color=name] [size=value] [type=name] [rules=name[,name,...]] [output=name]

## DESCRIPTION

d.sites.qual displays sites from a sites file only if they match criteria established by rules.

Syntax of rule string is:

                   [D|C|A]#.RANGE

where D, C, or A specify Dimension, Category, or Attribute and RANGE is one of:

                   #-#, ge#, le#, eq#

examples:

      D1.le-88.125    easting <= -88.125
      D3.100-200      dimension 3 in range 100 to 200
      C.eq7.2         category equal 7.2 (note no number after C)
      A2.ge5000       2nd double attribute >= 5000
      A1.-2.0--1.0    1st double attribute in range -2.0 to -1.0

If an output filename is provided, a new sites file containing the subset defined by the command will be written in the user's mapset. Header information will be copied from the original sites file and the d.sites.qual command and current window will be written as comments to the new file. Note that only those qualifying sites within the current window are written to the new file. The -n flag is useful when calling d.sites.qual from a script, as the number of qualifying sites may be needed to further process the file or report to the user in an interface, as in d.siter.

## OPTIONS

This program can be run non-interactively or interactively. If the user gives the name of a GRASS site_lists map and (optionally) specifies other parameter values on the command line the program will be run non-interactively; any parameter values left unspecified are set to their default values (see below). Alternately, the user can type simply d.sites.qual on the command line; in this case, the program will prompt the user for parameter values using the standard GRASS parser interface described in the manual entry for parser.

Flags

-n
Output number of sites displayed

Parameters

sitefile
Name of a site file color
Sets the current color to that stated:
options: red, orange, yellow, green, blue, indigo, white, black, brown, magenta, aqua, gray, grey
default: gray

size
Size, in pixels, in which the icon is to be drawn
options: 0-1000
default: 5

type
Specify the type of the icon
options: x, diamond, box, +
default: x

rules
qualifying rules for display: [D|C|A]#.RANGE
where RANGE is one of #-#, ge#, le#, eq#

output
Name of a site file to output drawn sites

## SEE ALSO

d.mon, d.sites, d.siter

## AUTHOR

Bill Brown, UI GMS Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $